Debian Bug report logs - #622328
libcurl3: Please enable RTMP support

version graph

Package: libcurl3; Maintainer for libcurl3 is Alessandro Ghedini <ghedo@debian.org>; Source for libcurl3 is src:curl.

Reported by: Fabian Greffrath <fabian@greffrath.com>

Date: Tue, 12 Apr 2011 07:51:01 UTC

Severity: wishlist

Found in version curl/7.21.4-1

Fixed in version curl/7.21.4-2

Done: Ramakrishnan Muthukrishnan <rkrishnan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ramakrishnan Muthukrishnan <rkrishnan@debian.org>:
Bug#622328; Package libcurl3. (Tue, 12 Apr 2011 07:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
New Bug report received and forwarded. Copy sent to Ramakrishnan Muthukrishnan <rkrishnan@debian.org>. (Tue, 12 Apr 2011 07:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libcurl3: Please enable RTMP support
Date: Tue, 12 Apr 2011 18:49:23 +0200
Package: libcurl3
Version: 7.21.4-1
Severity: wishlist

Hi,

recent curl version can be build --with-librtmp to provide RTMP support. Since
we already have librtmp in Debian, please use it in curl.

Thanks,
 - Fabian



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (501, 'unstable'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.38-2-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libcurl3 depends on:
ii  ca-certificates           20090814+nmu3  Common CA certificates
ii  libc6                     2.11.2-11      Embedded GNU C Library: Shared lib
ii  libgssapi-krb5-2          1.9+dfsg-1     MIT Kerberos runtime libraries - k
ii  libidn11                  1.20-1         GNU Libidn library, implementation
ii  libldap-2.4-2             2.4.25-1       OpenLDAP libraries
ii  libssh2-1                 1.2.8-1        SSH2 client-side library
ii  libssl0.9.8               0.9.8o-7       SSL shared libraries
ii  zlib1g                    1:1.2.5.dfsg-1 compression library - runtime

libcurl3 recommends no packages.

libcurl3 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#622328; Package libcurl3. (Tue, 12 Apr 2011 21:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ramakrishnan Muthukrishnan <rkrishnan@debian.org>:
Extra info received and forwarded to list. (Tue, 12 Apr 2011 21:06:10 GMT) Full text and rfc822 format available.

Message #10 received at 622328@bugs.debian.org (full text, mbox):

From: Ramakrishnan Muthukrishnan <rkrishnan@debian.org>
To: Fabian Greffrath <fabian@greffrath.com>, 622328@bugs.debian.org
Subject: Re: Bug#622328: libcurl3: Please enable RTMP support
Date: Tue, 12 Apr 2011 14:03:33 -0700
On Tue, Apr 12, 2011 at 9:49 AM, Fabian Greffrath <fabian@greffrath.com> wrote:
>
> recent curl version can be build --with-librtmp to provide RTMP support. Since
> we already have librtmp in Debian, please use it in curl.

Thanks. Will do that with the next upload.

Ramakrishnan




Reply sent to Ramakrishnan Muthukrishnan <rkrishnan@debian.org>:
You have taken responsibility. (Thu, 14 Apr 2011 06:51:13 GMT) Full text and rfc822 format available.

Notification sent to Fabian Greffrath <fabian@greffrath.com>:
Bug acknowledged by developer. (Thu, 14 Apr 2011 06:51:13 GMT) Full text and rfc822 format available.

Message #15 received at 622328-close@bugs.debian.org (full text, mbox):

From: Ramakrishnan Muthukrishnan <rkrishnan@debian.org>
To: 622328-close@bugs.debian.org
Subject: Bug#622328: fixed in curl 7.21.4-2
Date: Thu, 14 Apr 2011 06:47:20 +0000
Source: curl
Source-Version: 7.21.4-2

We believe that the bug you reported is fixed in the latest version of
curl, which is due to be installed in the Debian FTP archive:

curl_7.21.4-2.debian.tar.gz
  to main/c/curl/curl_7.21.4-2.debian.tar.gz
curl_7.21.4-2.dsc
  to main/c/curl/curl_7.21.4-2.dsc
curl_7.21.4-2_amd64.deb
  to main/c/curl/curl_7.21.4-2_amd64.deb
libcurl3-dbg_7.21.4-2_amd64.deb
  to main/c/curl/libcurl3-dbg_7.21.4-2_amd64.deb
libcurl3-gnutls_7.21.4-2_amd64.deb
  to main/c/curl/libcurl3-gnutls_7.21.4-2_amd64.deb
libcurl3-nss_7.21.4-2_amd64.deb
  to main/c/curl/libcurl3-nss_7.21.4-2_amd64.deb
libcurl3_7.21.4-2_amd64.deb
  to main/c/curl/libcurl3_7.21.4-2_amd64.deb
libcurl4-gnutls-dev_7.21.4-2_amd64.deb
  to main/c/curl/libcurl4-gnutls-dev_7.21.4-2_amd64.deb
libcurl4-nss-dev_7.21.4-2_amd64.deb
  to main/c/curl/libcurl4-nss-dev_7.21.4-2_amd64.deb
libcurl4-openssl-dev_7.21.4-2_amd64.deb
  to main/c/curl/libcurl4-openssl-dev_7.21.4-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 622328@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ramakrishnan Muthukrishnan <rkrishnan@debian.org> (supplier of updated curl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 13 Apr 2011 16:15:27 -0700
Source: curl
Binary: curl libcurl3 libcurl3-gnutls libcurl3-nss libcurl4-openssl-dev libcurl4-gnutls-dev libcurl4-nss-dev libcurl3-dbg
Architecture: source amd64
Version: 7.21.4-2
Distribution: unstable
Urgency: low
Maintainer: Ramakrishnan Muthukrishnan <rkrishnan@debian.org>
Changed-By: Ramakrishnan Muthukrishnan <rkrishnan@debian.org>
Description: 
 curl       - Get a file from an HTTP, HTTPS or FTP server
 libcurl3   - Multi-protocol file transfer library (OpenSSL)
 libcurl3-dbg - libcurl compiled with debug symbols
 libcurl3-gnutls - Multi-protocol file transfer library (GnuTLS)
 libcurl3-nss - Multi-protocol file transfer library (NSS)
 libcurl4-gnutls-dev - Development files and documentation for libcurl (GnuTLS)
 libcurl4-nss-dev - Development files and documentation for libcurl (NSS)
 libcurl4-openssl-dev - Development files and documentation for libcurl (OpenSSL)
Closes: 622016 622328
Changes: 
 curl (7.21.4-2) unstable; urgency=low
 .
   * debian/patches/{sslv2-disable, series}: Apply the
     upstream commit c66b0b32fba175d5f096c944d8ec8f9f06299f4a.
     (closes: #622016)
   * debian/{rules, control}: enable rtmp. (closes: #622328)
   * debian/control: removing hurd from dependencies. Hurd is
     an 'essential' package.
Checksums-Sha1: 
 88ff811fa12368f112d9e5d99b97d4daf3d77fa6 1530 curl_7.21.4-2.dsc
 5e243f0d9710fa7773a5c7b516b254eca8ab42a5 95560 curl_7.21.4-2.debian.tar.gz
 9a3d7ef6211d529d9a99dc4dbbaa6c9944d8c620 252632 curl_7.21.4-2_amd64.deb
 37c11fa0be6d461fb53d481e56a0b49dc70d7f6f 313186 libcurl3_7.21.4-2_amd64.deb
 c1171ef831dd79f11fa2b1d3dd6cf22c23ab8a29 294470 libcurl3-gnutls_7.21.4-2_amd64.deb
 19d03b93f6422e4a45e22677f1a26119ef6794e2 301126 libcurl3-nss_7.21.4-2_amd64.deb
 e8b81c8654bab549669972245c6a5b444883ab78 1159936 libcurl4-openssl-dev_7.21.4-2_amd64.deb
 faa0ba89f44502300b8ebeb0439f9e4176cd26da 1136538 libcurl4-gnutls-dev_7.21.4-2_amd64.deb
 d7cb1be1ab6ad8099cd6c170ae5a7fd2701683e2 1143016 libcurl4-nss-dev_7.21.4-2_amd64.deb
 41f54bd2313f5799f92bf4966308a0a53189e5df 141724 libcurl3-dbg_7.21.4-2_amd64.deb
Checksums-Sha256: 
 0d8a10f3f1e55d38d553f11a953da0de808562de63b1526abe199b3e0a90485a 1530 curl_7.21.4-2.dsc
 c27257fc4d1acfb9bba051e2019ce143f633d5d7eb4b3761a1e8ade544b16ee6 95560 curl_7.21.4-2.debian.tar.gz
 6d71e5e64d04c7b45d6cdc089fba37124bb5f8ee61c297a8bbc2e88de113ac2b 252632 curl_7.21.4-2_amd64.deb
 b73acd750b8e9c5c54f846e8271b4f7f608bf206f39d5372238c98cadfd460b1 313186 libcurl3_7.21.4-2_amd64.deb
 57999cd311d1a0b138249fa3e758b8162f6f18691ca7c14a0002eaa82a7feb16 294470 libcurl3-gnutls_7.21.4-2_amd64.deb
 9bf7ccab552d307658396e8006b8ea5c66b3019e395605e0a6cf217c7c0284aa 301126 libcurl3-nss_7.21.4-2_amd64.deb
 0274a519245187ada320bdaddeafab838ecbb3b534d82da77db738ebd2e56a4b 1159936 libcurl4-openssl-dev_7.21.4-2_amd64.deb
 fb0cc54a5e2bbb7f7702fa21e70b0352850b6fcd768c905313eb8cd20fabb3c3 1136538 libcurl4-gnutls-dev_7.21.4-2_amd64.deb
 1eb295abacbe545c942c31c966ecc3c220348f7e91247c7bb2232579f2a7e8f9 1143016 libcurl4-nss-dev_7.21.4-2_amd64.deb
 929a89fd750b408dfcf0e1b2bef3769b948923b4ab7046e4f46aeda3df348d0d 141724 libcurl3-dbg_7.21.4-2_amd64.deb
Files: 
 3ef3ae9f0410b1360aed8cde36809a80 1530 web optional curl_7.21.4-2.dsc
 83b79dd9dc5d128cfaeb237a30f8c894 95560 web optional curl_7.21.4-2.debian.tar.gz
 bb5727311773f98a0268f4e56fab50b6 252632 web optional curl_7.21.4-2_amd64.deb
 07da73f68c8d56d4a1b2883b461dad38 313186 libs optional libcurl3_7.21.4-2_amd64.deb
 e7ace772b323c3da53571d45b873dd9c 294470 libs optional libcurl3-gnutls_7.21.4-2_amd64.deb
 31bda77bd48b9f56c419b1204df7c3af 301126 libs optional libcurl3-nss_7.21.4-2_amd64.deb
 0d85a97b83f77d9eef6bbb9c0eaf119a 1159936 libdevel optional libcurl4-openssl-dev_7.21.4-2_amd64.deb
 c91e3fa1acd08479c5a868a7843daabf 1136538 libdevel optional libcurl4-gnutls-dev_7.21.4-2_amd64.deb
 c07aa30d358e86bfe0d9cbe1964ffc74 1143016 libdevel optional libcurl4-nss-dev_7.21.4-2_amd64.deb
 30eb159ed91d2721ae03d8df620f16c3 141724 debug extra libcurl3-dbg_7.21.4-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk2mk0gACgkQFyn1hmqfPDjGigCffRSEqSvuG7/+SyhgVilT5nXU
GxIAoKn/NXw8fF2pd7h+U4wWTMcT5uHi
=Wxq3
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 May 2011 07:42:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:05:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.